javax.servlet.annotation

## Enum ServletSecurity.EmptyRoleSemantic

- java.lang.Object
- - java.lang.Enum<ServletSecurity.EmptyRoleSemantic>
  - - javax.servlet.annotation.ServletSecurity.EmptyRoleSemantic

- All Implemented Interfaces:
    Serializable, Comparable<ServletSecurity.EmptyRoleSemantic>
  Enclosing class:
    ServletSecurity

      public static enum ServletSecurity.EmptyRoleSemantic
      extends Enum<ServletSecurity.EmptyRoleSemantic>

  Defines the access semantic to be applied to an empty rolesAllowed array.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `DENY` access is to be denied independent of authentication state and identity.
    `PERMIT` access is to be permitted independent of authentication state and identity.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ServletSecurity.EmptyRoleSemantic` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static ServletSecurity.EmptyRoleSemantic[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### PERMIT

          public static final ServletSecurity.EmptyRoleSemantic PERMIT

      access is to be permitted independent of authentication state and identity.

    - #### DENY

          public static final ServletSecurity.EmptyRoleSemantic DENY

      access is to be denied independent of authentication state and identity.

  - ### Method Detail

    - #### values

          public static ServletSecurity.EmptyRoleSemantic[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ServletSecurity.EmptyRoleSemantic c : ServletSecurity.EmptyRoleSemantic.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ServletSecurity.EmptyRoleSemantic valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 1996-2013, Oracle and/or its affiliates. All Rights Reserved. Use is subject to license terms.